/*
   The lestes compiler suite
   Copyright (C) 2002, 2003, 2004, 2005 Miroslav Tichy
   Copyright (C) 2002, 2003, 2004, 2005 Petr Zika
   Copyright (C) 2002, 2003, 2004, 2005 Vojtech Hala
   Copyright (C) 2002, 2003, 2004, 2005 Jiri Kosina
   Copyright (C) 2002, 2003, 2004, 2005 Pavel Sanda
   Copyright (C) 2002, 2003, 2004, 2005 Jan Zouhar
   Copyright (C) 2002, 2003, 2004, 2005 Rudolf Thomas

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   See the full text of the GNU General Public License version 2, and
   the limitations in the file doc/LICENSE.

   By accepting the license the licensee waives any and all claims
   against the copyright holder(s) related in whole or in part to the
   work, its use, and/or the inability to use it.
 
 */
#ifndef lestes___common_hh___included
#define lestes___common_hh___included

/*! \file
  \brief Common stuff.

  Includes, macros and definitions common for all source files.
  \author pt
*/

#include <lestes/package.hh>

//! Defines abstract "keyword" to avoid ugly C++ syntax.
#define abstract = 0

#include <cstddef>
#include <lestes/std/data_types.hh>

#include <lestes/std/srp.hh>
#include <lestes/std/ptr.hh>
#include <lestes/std/object.hh>

#include <lestes/std/lassert.hh>
#include <lestes/std/check.hh>


package(lestes);
//! Inserts the entire ::lestes::std package into ::lestes package to simplify referencing.
using namespace ::lestes::std;
end_package(lestes);

#endif
/* vim: set ft=lestes : */

